cURL
curl --request POST \ --url https://api.endclose.com/v1/reconciliation_matches \ --header 'Content-Type: application/json' \ --header 'X-API-KEY: <api-key>' \ --data ' { "reconciliation_id": "<string>", "record_ids": [ "<string>" ], "create_adjustment": true, "adjustment_reason": "<string>" } '
{ "id": 123, "status": "<string>", "group_key": "<string>", "reconciliation_id": 123, "reconciliation_rule_id": 123, "created_at": "2023-11-07T05:31:56Z", "records": [ { "id": 123, "amount": 123, "decimal_places": 2, "direction": "credit", "data_stream_key": "<string>" } ] }
Manually match a set of records. All records must be unreconciled and belong to the specified reconciliation’s data streams.
IDs of records to match together
If true, creates an adjustment record to balance the match
Description for the adjustment record
Match created
Show child attributes